Fetch Ratings
curl --request GET \
--url 'https://api.finvera.news/rating/api/v1/ratings?apikey='import requests
url = "https://api.finvera.news/rating/api/v1/ratings?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.finvera.news/rating/api/v1/ratings?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 414353025,
"firm": "pipersandler",
"ticker": "XPOF",
"exchange": "unknown",
"company": "Xponential Fitness Inc",
"action": "Downgrades",
"rating": "None",
"price_target": "9.00",
"story": "{\"XPONENTIAL FITNESS INC <XPOF.N>: PIPER SANDLER CUTS TARGET PRICE TO $9 FROM $16\"}",
"is_rating": true,
"created_at": "2025-03-14T04:19:07.312874Z",
"updated_at": "2025-03-14T04:19:07.312877Z"
},
{
"id": 901957700,
"firm": "stifel",
"ticker": "XPOF",
"exchange": "unknown",
"company": "Xponential Fitness Inc",
"action": "Downgrades",
"rating": "Hold",
"price_target": "12.00",
"story": "{\"XPONENTIAL FITNESS INC <XPOF.N>: STIFEL CUTS TO HOLD FROM BUY; CUTS TARGET PRICE TO $12 FROM $20\"}",
"is_rating": true,
"created_at": "2025-03-14T04:19:07.311919Z",
"updated_at": "2025-03-14T04:19:07.311924Z"
},
{
"id": 1888719425,
"firm": "bmocapital",
"ticker": "EHMEF",
"exchange": "unknown",
"company": "Goeasy",
"action": "Upgrades",
"rating": "Outperform",
"price_target": "C$200",
"story": "{\"BMO Capital upgraded Goeasy to Outperform from Market Perform with a price target of C$200, down from C$207. Goeasy trades at trough multiples on tariff-scenario earnings, effectively fully pricing-in downside risk from a prolonged trade war, the analyst tells investors in a research note. The firm added that the risk/reward now looks highly favorable and notes the +46% return to the new price target already factors in margins of safety on valuation multiples and earnings.\"}",
"is_rating": true,
"created_at": "2025-03-14T04:19:07.291679Z",
"updated_at": "2025-03-14T04:19:07.291682Z"
}
],
"message": "ratings fetched successfully"
}Analyst Ratings
Fetch Ratings
GET
/
api
/
v1
/
ratings
Fetch Ratings
Authorizations
Query Parameters
Rating ID, example - 1781435782
filter by exchange, example - NYSE
filter by company, example - Cloudflare
filter by firm name, example - rbccapital
filter by symbol, example - NET
from date, format YYYY-MM-DD HH:MM:SS
to date, format YYYY-MM-DD HH:MM:SS
page number, default:1
size of page, default:10
Response
200 - application/json
OK
The response is of type object.
⌘I